﻿namespace Connected.Entities.Annotations
{
   public abstract class SchemaAttribute : MappingAttribute
   {
      public const string DefaultSchema = "dbo";
      public const string SchemaTypeTable = "Table";
      /*
       * sys schema is reserved for system views and tables by sql.
       */
      public const string SysSchema = "sxs";
      public const string TypesSchema = "typ";
      public string? Id { get; set; }
      public string? Name { get; set; }
      public string? Schema { get; set; } = DefaultSchema;

   }
}
